[arch-commits] Commit in valgrind/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed Aug 20 16:18:19 EDT 2008


    Date: Wednesday, August 20, 2008 @ 16:18:19
  Author: jgc
Revision: 9904

upgpkg: valgrind 3.3.1-2
    Rebuild for glibc 2.8.

Modified:
  valgrind/trunk/PKGBUILD

----------+
 PKGBUILD |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-20 20:08:55 UTC (rev 9903)
+++ PKGBUILD	2008-08-20 20:18:19 UTC (rev 9904)
@@ -3,12 +3,12 @@
 
 pkgname=valgrind
 pkgver=3.3.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A tool to help find memory-management problems in programs"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://valgrind.org/"
-depends=('glibc')
+depends=('glibc>=2.8' 'glibc<2.9')
 source=(http://valgrind.org/downloads/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('0539e2fa4aadb2cd4ca4bba65b1fe8b5')
 options=(!emptydirs)
@@ -20,10 +20,10 @@
   sed -i -e 's:^CFLAGS="-Wno-long-long":CFLAGS="$CFLAGS -Wno-long-long":' configure.in
 
   if [ "${CARCH}" = "x86_64" ]; then
-    ./configure --prefix=/usr --mandir=/usr/share/man --enable-only64bit
+    ./configure --prefix=/usr --mandir=/usr/share/man --enable-only64bit || return 1
   else
-    ./configure --prefix=/usr --mandir=/usr/share/man
+    ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   fi
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }




More information about the arch-commits mailing list